> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetAuthorizedAccountIPs POST https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs Gets the authorized IP4 or network. Allowed roles: `Owner`, `Admin`, `Developer`. **Example request:** Show the all items. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/authorized-ips/get-authorized-account-i-ps ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `authorized_ip` (string, optional) — The authorized IP4 or network to filter - `allowed` (boolean, optional) — Whether the IP is allowed - `contains_ip` (string, optional) — Specify the parameter to filter the networks that contains the particular IP4 - `count` (integer, optional, default: 50) — The max returning record count - `offset` (integer, optional, default: 0) — The first **N** records are skipped in the output - `description` (string, optional) — The IP address description ## Response ### 200 Successful response - `result` (list of AuthorizedAccountIPType, optional) - `total_count` (integer, optional) — The total found network count - `count` (integer, optional) — The returned network count ## Types ### AuthorizedAccountIPType The [GetAuthorizedAccountIPs] function result. - `authorized_ip` (string, optional) — The authorized IP4 or network - `allowed` (AuthorizedAccountIpTypeAllowed, optional) — Whether the IP is allowed (true - whitelist, false - blacklist) - `created` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The item creating UTC date in 24-h format: YYYY-MM-DD HH:mm:ss ### AuthorizedAccountIpTypeAllowed Whether the IP is allowed (true - whitelist, false - blacklist) ## Examples **Response** ```json { "result": [ { "authorized_ip": "92.255.220.0/24", "allowed": "true", "created": "2015-02-01 20:10:15" }, { "authorized_ip": "92.255.220.10", "allowed": "false", "created": "2015-02-01 20:10:17" } ], "total_count": 2, "count": 2 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs" headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs") .header("Authorization", "Bearer ") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```